<?php
class book_userControl extends skymvc{
	
	public function __construct(){
		parent::__construct();
	}
	public function onDefault(){
		M("login")->checkLogin();
		$userid=M("login")->userid;
		$user=M("user")->selectRow(array("where"=>" userid=".$userid));
		$user['user_head']=images_site($user['user_head']);
		 
		//导航
		 
		$invitecode=M("user_invitecode")->getCode($userid); 
		$this->smarty->goAssign(array(
			"data"=>$user,
			"user"=>$user,
			 
			"invitecode"=>$invitecode,
			 
			 
		));
		$tpl=M("pagetpl")->get("book_user","index");
		$this->smarty->display($tpl);
	}
	
	
}